Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.ant
Class PCEnhancerTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.MatchingTask
                  org.apache.openjpa.lib.ant.AbstractTask
                      org.apache.openjpa.ant.PCEnhancerTask

All Implemented Interfaces:
  Cloneable, org.apache.tools.ant.types.selectors.SelectorContainer

    public class PCEnhancerTask

extends AbstractTask

Executes the enhancer on the specified files. This task can take the following arguments:

- `directory`
- `addDefaultConstructor`
- `tmpClassLoader`
- `enforcePropertyRestrictions`

Field Summary
`protected String` | `dirName`
`protected PCEnhancer.Flags` | `flags`

Fields inherited from class org.apache.openjpa.lib.ant.AbstractTask
`classpath, fileSets, haltOnError, isolate, useParent`

Fields inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`fileset`

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`PCEnhancerTask()`

Method Summary
`protected void` | `executeOn(String[] files)` Perform the task action on the given files.
`protected ConfigurationImpl` | `newConfiguration()` Implement this method to return a configuration object for the product in use.
`void` | `setAddDefaultConstructor(boolean addDefCons)` Set whether or not the enhancer should add a no-args constructor to any PC that does not have a no-args constructor.
`void` | `setDirectory(String dirName)` Set the output directory we want the enhancer to write to.
`void` | `setEnforcePropertyRestrictions(boolean fail)` Set whether to fail if the persistent type uses property access and bytecode analysis shows that it may be violating OpenJPA's property access restrictions.
`void` | `setTmpClassLoader(boolean tmpClassLoader)` Set whether or not to use a default class loader for loading the unenhanced classes.

Methods inherited from class org.apache.openjpa.lib.ant.AbstractTask
`addFileset, assertFiles, createClasspath, createConfig, execute, getClassLoader, getConfiguration, setClasspath, setHaltOnError, setIsolate, setUseParentClassloader`

Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addFilename, addMajority, addModified, addNone, addNot, addOr, addPresent, addSelector, addSize, addType, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, getDirectoryScanner, getImplicitFileSet, getSelectors, hasSelectors, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setExcludes, setExcludesfile, setFollowSymlinks, setIncludes, setIncludesfile, setProject, XsetIgnore, XsetItems`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### flags

    protected PCEnhancer.Flags flags

### dirName

    protected String dirName

Constructor Detail

### PCEnhancerTask

    public PCEnhancerTask()

Method Detail

### setDirectory

    public void setDirectory(String dirName)

  Set the output directory we want the enhancer to write to.

### setAddDefaultConstructor

    public void setAddDefaultConstructor(boolean addDefCons)

  Set whether or not the enhancer should add a no-args constructor to any PC that does not have a no-args constructor.

### setEnforcePropertyRestrictions

    public void setEnforcePropertyRestrictions(boolean fail)

  Set whether to fail if the persistent type uses property access and bytecode analysis shows that it may be violating OpenJPA's property access restrictions.

### setTmpClassLoader

    public void setTmpClassLoader(boolean tmpClassLoader)

  Set whether or not to use a default class loader for loading the unenhanced classes.

### newConfiguration

    protected ConfigurationImpl newConfiguration()

  Description copied from class: `AbstractTask`
  Implement this method to return a configuration object for the product in use.

  Specified by:
    `newConfiguration` in class `AbstractTask`

### executeOn

    protected void executeOn(String[] files)
                      throws IOException

  Description copied from class: `AbstractTask`
  Perform the task action on the given files.

  Specified by:
    `executeOn` in class `AbstractTask`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.